package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.EnterprisePhoto;

/**
 * 企业文件信息Service接口
 * 
 * @author ruoyi
 * @date 2023-02-20
 */
public interface IEnterprisePhotoService 
{
    /**
     * 查询企业文件信息
     * 
     * @param id 企业文件信息主键
     * @return 企业文件信息
     */
    public EnterprisePhoto selectEnterprisePhotoById(Long id);

    /**
     * 查询企业文件信息列表
     * 
     * @param enterprisePhoto 企业文件信息
     * @return 企业文件信息集合
     */
    public List<EnterprisePhoto> selectEnterprisePhotoList(EnterprisePhoto enterprisePhoto);

    /**
     * 新增企业文件信息
     * 
     * @param enterprisePhoto 企业文件信息
     * @return 结果
     */
    public int insertEnterprisePhoto(EnterprisePhoto enterprisePhoto);

    /**
     * 修改企业文件信息
     * 
     * @param enterprisePhoto 企业文件信息
     * @return 结果
     */
    public int updateEnterprisePhoto(EnterprisePhoto enterprisePhoto);

    /**
     * 批量删除企业文件信息
     * 
     * @param ids 需要删除的企业文件信息主键集合
     * @return 结果
     */
    public int deleteEnterprisePhotoByIds(Long[] ids);

    /**
     * 删除企业文件信息信息
     * 
     * @param id 企业文件信息主键
     * @return 结果
     */
    public int deleteEnterprisePhotoById(Long id);
}
